Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 698142 (ConiKost)

Summary: New developer: Conrad Kostecki (ConiKost)
Product: Gentoo Developers/Staff Reporter: Piotr Karbowski <slashbeast>
Component: New DevelopersAssignee: Gentoo Recruiting Team <recruiters>
Status: RESOLVED FIXED    
Severity: normal CC: conikost, gokturk
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=633392
Whiteboard:
Package list:
Runtime testing required: ---

Description Piotr Karbowski archtester Gentoo Infrastructure gentoo-dev Security 2019-10-20 17:45:43 UTC
Conrad is an active Gentoo proxy maintainer with 561 commits already in ebuilds tree to this date and a handful of pull requests waiting for review, he's also Gentoo user since 2005. Due to his extraordinary contributions he did so far I believe it's great to get him on board so he can continue what he already does without the need to wait for his pull requests to be merged. Conrad would like to also join the proxy-maint and games teams.

Conrad will submit his reviewed quiz later the coming week. After it's sent, he will report back here.
Comment 1 Conrad Kostecki gentoo-dev 2019-10-20 22:10:10 UTC
As announced, I have now send the quizzes to recruiters@gentoo.org.
Comment 2 Göktürk Yüksek gentoo-dev 2019-10-21 17:54:47 UTC
Hi,

I will be your recruiter. Always add a comment to this bug when you send something to that address. Please contact me by IRC or email to schedule the first review session. If you think that recruiters aren't paying attention to this bug at any later point in time, it's your job to ping us on IRC if you don't want any delays.
Comment 3 Conrad Kostecki gentoo-dev 2019-11-01 21:41:06 UTC
As asked, I have now send the updated quizzes to recruiters@gentoo.org.
Comment 4 Conrad Kostecki gentoo-dev 2019-11-04 18:34:39 UTC
As asked, I have now send the updated quizzes to recruiters@gentoo.org.

P.S.: Sorry, first mail was send without quizzes, second one has them.
Comment 5 Conrad Kostecki gentoo-dev 2019-11-07 22:00:26 UTC
As asked, I have now send the updated quizzes to recruiters@gentoo.org.
Comment 6 Göktürk Yüksek gentoo-dev 2019-12-02 21:21:05 UTC
What we did:
- LDAP
- bugzilla
- granted access to main gentoo.git
- Added user to GitHub Gentoo team
- IRC cloak: ConiKost

Pending:
- announcement

Automatic:
- gentoo-core
- gentoo-dev-announcement

What you need to do:
- subscribe to mailing lists with your @gentoo.org address
- request forum status bump in #gentoo-forums or by mail to
  forum-mods@gentoo.org (if you have a forums account)
- send yourself mail to check if it works
- add yourself to mail aliases ( like proxy-maint@gentoo.org )
  see /var/mail/alias on dev.gentoo.org
- set gentooIM if you want people to be able to contact you via other
  means than email
- if you want your blog to be syndicated to planet.gentoo.org, check
  https://wiki.gentoo.org/wiki/Project:Planet
- enable 2FA authentication to your GitHub account in the Gentoo organization (mandatory)
- visit the Gentoo Nitrokey portal at https://gentoo.nitrokey.com 
  in order to get a free Nitrokey Pro 2 security key
- contact trustees@gentoo.org for Foundation membership (optional)

For the mentor:
- You are also responsible for the commits of your recruit during the first
  month so you should watch the commits of your recruit via gentoo-commits
  mailing list.
Comment 7 Conrad Kostecki gentoo-dev 2019-12-03 22:23:34 UTC
What I did:
- subscribed to various mailing lists with my @gentoo.org address
  and unsubscribed with my @bl4ckb0x.de address
- requested forum status bump in #gentoo-forums and got bumped
- send myself a mail to check if conikost@gentoo.org works, which does
- added myself to mail aliases games@gentoo.org and proxy-maint@gentoo.org
- set various LDAP attributes including gentooIM, lat and lon
- skipped syndicated blog on planet.gentoo.org, not needed for now and don't have a blog
- enabled 2FA authentication on my GitHub account in the Gentoo organization,
  which was already active, since I used 2FA before on Github
- visited the Gentoo Nitrokey portal at https://gentoo.nitrokey.com
  but order was unsuccessful due non-functional order system,
  send e-mail to trustees@gentoo.org, as requested, to investigate.
- skipped contact trustees@gentoo.org for Foundation membership, not needed for now, maybe later
- added myself to games and proxy-maint project
- got invited to join proxy-maint on Github and joined myself
- updated my account on wiki.gentoo.org
- Updated metadata.xml for all my packages.xml
- First commit for OpenRCT2 done
Comment 8 Göktürk Yüksek gentoo-dev 2019-12-09 20:18:16 UTC
(In reply to Göktürk Yüksek from comment #6)
> What we did:
> - LDAP
> - bugzilla
> - granted access to main gentoo.git
> - Added user to GitHub Gentoo team
> - IRC cloak: ConiKost
> 
> Pending:
> - announcement
> 

Done. https://archives.gentoo.org/gentoo-project/message/86648d485841bb7e466381613f001d19

> Automatic:
> - gentoo-core
> - gentoo-dev-announcement
> 
> What you need to do:
> - subscribe to mailing lists with your @gentoo.org address
> - request forum status bump in #gentoo-forums or by mail to
>   forum-mods@gentoo.org (if you have a forums account)
> - send yourself mail to check if it works
> - add yourself to mail aliases ( like proxy-maint@gentoo.org )
>   see /var/mail/alias on dev.gentoo.org
> - set gentooIM if you want people to be able to contact you via other
>   means than email
> - if you want your blog to be syndicated to planet.gentoo.org, check
>   https://wiki.gentoo.org/wiki/Project:Planet
> - enable 2FA authentication to your GitHub account in the Gentoo
> organization (mandatory)
> - visit the Gentoo Nitrokey portal at https://gentoo.nitrokey.com 
>   in order to get a free Nitrokey Pro 2 security key
> - contact trustees@gentoo.org for Foundation membership (optional)
> 
> For the mentor:
> - You are also responsible for the commits of your recruit during the first
>   month so you should watch the commits of your recruit via gentoo-commits
>   mailing list.
Comment 9 Conrad Kostecki gentoo-dev 2020-01-13 16:11:53 UTC
(In reply to Conrad Kostecki from comment #7)
> - visited the Gentoo Nitrokey portal at https://gentoo.nitrokey.com
>   but order was unsuccessful due non-functional order system,
>   send e-mail to trustees@gentoo.org, as requested, to investigate.

FYI: Order system got fixed, so I was now able to order one.